/**
*CardDAV App
* There are different ways implementing an App
*/
var CardDAVApp = CardDAVApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
CardDAVApp.App = function () {
    this.id = 'Card DAV';
    this.name = 'Card DAV';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/carddav/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/carddav/images/logo.png?v=6.0.7&';
    this.entryUrl = '/apps/carddav/carddav_index.html?v=6.0.7&';
    var self = this;
    this.CardDAVAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Card DAV')){
            return false;
        }
     self.window=new MUI.Window({
            id: 'CardDAVAppWindow',
            title: UNAS._('Card DAV'),
			icon: '/apps/carddav/images/logo_small.png?v=6.0.7&',
            loadMethod: 'xhr',
            width: 800,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [795, 2000], 'y': [500, 1500] },
            contentURL: '/apps/carddav/carddav_index.html?v=6.0.7&',
			require: {  css: ['/apps/carddav/css/carddav.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Card DAV",'CardDAVAppWindow')}
        });
    };
    this.carddavAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Card DAV');
        UNAS.RemoveMenu('Card DAV');
        UNAS.RemoveAppFromGroups('Card DAV', 'ControlPanel');
        // UNAS.RemoveAppFromGroups('Card DAV', 'Help');
        UNAS.RemoveAppFromApps('Card DAV');
    };

    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon,'Card DAV', '', this.CardDAVAppWindow);
    // new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Card DAV', this.CardDAVAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 8, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Card DAV', UNAS._('Card DAV')); //translate menu
        // UNAS.SetShortcutTitle('Card DAV', UNAS._('Card DAV')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('CardDAVAppWindow', UNAS._('Card DAV'));
        }
    }
    UNAS.LoadTranslation('/apps/carddav/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.CardDAVAppWindow,this.carddavAppUninstall);
};

new CardDAVApp.App(); //Create app
